# frozen_string_literal: true

module ActionPush
  module Concerns
    module RegisterDeliveryMethod
      def delivery_methods
        @delivery_methods ||= {}
      end

      def register_delivery_method(name, handler)
        delivery_methods[name] = handler
      end
    end
  end
end
