# frozen_string_literal: true

module ActionPush
  module Concerns
    module RegisterInterceptor
      DEFAULT_INTERCEPTOR = ->(_instance, _provider, _push, &block) do
        block.call
      end

      def interceptor
        @interceptor || DEFAULT_INTERCEPTOR
      end

      def register_interceptor(handler)
        @interceptor = handler
      end
    end
  end
end
